/**
 * @author Lee Tae Su 
 * @project builder
 * @version 1.0
 * @since 2018-07-12
 * 
 * jQuery-ui에서 제공하는 datepicker의 style을 오버라이딩합니다
 */

/* Override jquery-ui date picker */
div.ui-datepicker {
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    box-shadow: 0 0 5px 2px #d0d0d0;
    border: solid 1px #6930b8;
}

/* Calendar header */
div.ui-datepicker div.ui-datepicker-header {
    background: none;
    border: none;
}

/* Year, Month dropdown */
div.ui-datepicker div.ui-datepicker-header select {
    padding: 0 20px 0 10px;
    font-size: 13px;
    font-weight: 500;
    height: 24px;
    border-radius: 2px;
    border: solid 1px #cdcdcd;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: url(/resources/image/dropdown01.png) no-repeat 97% 50%; /* 화살표 아이콘 추가 */
}

/* Prev, Next icon common */
div.ui-datepicker div.ui-datepicker-header .ui-icon {
    background-position: inherit;
}

/* Prev icon */
div.ui-datepicker div.ui-datepicker-header .ui-icon-circle-triangle-w {
    background-image: url(/resources/image/calender-previous.png);
}

/* Next icon */
div.ui-datepicker div.ui-datepicker-header .ui-icon-circle-triangle-e {
    background-image: url(/resources/image/calender-next.png);
}

/* Hover class override */
div.ui-datepicker div.ui-datepicker-header .ui-state-hover,
div.ui-datepicker div.ui-datepicker-header .ui-widget-content .ui-state-hover,
div.ui-datepicker div.ui-datepicker-header .ui-widget-header .ui-state-hover,
div.ui-datepicker div.ui-datepicker-header .ui-state-focus,
div.ui-datepicker div.ui-datepicker-header .ui-widget-content .ui-state-focus,
div.ui-datepicker div.ui-datepicker-header .ui-widget-header .ui-state-focus {
    border: inherit;
    background: inherit;
    font-weight: inherit;
    color: inherit;
}

/* Position override */
div.ui-datepicker div.ui-datepicker-header .ui-datepicker-prev,
div.ui-datepicker div.ui-datepicker-header .ui-datepicker-next {
    top: 4px;
}

/* Day */
div.ui-datepicker td a.ui-state-default {
    text-align: center;
    font-size: 14px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    color: #363636;
    background: none;
    border: none;
}

/* Day of week*/
div.ui-datepicker th {
    font-size: 14px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
    color: #363636;
}

/* Selected day */
div.ui-datepicker td a.ui-state-highlight{
    font-size: 14px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
    border: solid 1px #816af8;
}

div.ui-datepicker td a.ui-state-active {
    font-size: 14px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
    color: #816af8;
    text-decoration: underline;
}

/* Day hover */
div.ui-datepicker td:hover a.ui-state-default {
    border-radius: 4px;
    background-color: #e1d7f8;
}

/* Button common */
div.ui-datepicker div.ui-datepicker-buttonpane button {
    border-radius: 2px;
    background: #d8d8d8;
    border: none;
    color: #363636;
    font-size: 14px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
}

/* Today button */
div.ui-datepicker div.ui-datepicker-buttonpane button.ui-datepicker-current {
    font-size: 14px;
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
    color: #ffffff;
    background: #816af8;
    opacity: 1;
}
